A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"model": "<string>",
"progress": 50,
"prompt": "<string>",
"remixed_from_video_id": "<string>",
"seconds": "<string>",
"size": "<string>",
"created_at": 123,
"completed_at": 123,
"expires_at": 123,
"error": {
"code": "<string>",
"message": "<string>"
}
}
],
"first_id": "<string>",
"last_id": "<string>",
"has_more": true,
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}List video generation jobs
Lists video generation jobs for a specific provider. Results are paginated and can be filtered using query parameters.
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"model": "<string>",
"progress": 50,
"prompt": "<string>",
"remixed_from_video_id": "<string>",
"seconds": "<string>",
"size": "<string>",
"created_at": 123,
"completed_at": 123,
"expires_at": 123,
"error": {
"code": "<string>",
"message": "<string>"
}
}
],
"first_id": "<string>",
"last_id": "<string>",
"has_more": true,
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Query Parameters
Provider name (e.g., "openai", "gemini")
Cursor for pagination - ID of the last item from the previous page
Maximum number of results to return
1 <= x <= 100Sort order by creation time
asc, desc Response
Successful response. Returns a paginated list of video generation jobs.
Object type, always "list"
list Array of video generation jobs
Show child attributes
Show child attributes
ID of the first item in the list
ID of the last item in the list
Whether there are more results available
Additional fields included in responses
Show child attributes
Show child attributes
Was this page helpful?

